body {
    background-color: $main-color-bg;
    position: relative;
    color: $color-text;
    @include poppins;
    font-weight: 300;

    .body-wrapp {
        overflow: hidden;
    }

    .site-main {
        position: relative;

        &::after {
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: -1;
            // background: repeat url('./images/noise.png');
        }
    }
}

html {
    scroll-behavior: smooth;
}

// basic style font
.title_basic {
    color: $color-white;
    font-size: 48px;
    font-weight: 400;
    line-height: 1.45;
    margin-bottom: 50px;
    text-transform: uppercase;
    @include oswald;

    @include media-laptop {
        margin-bottom: 30px;
        font-size: 40px;
    }

    @include media-mobile {
        font-size: 32px;
        line-height: 38px;
        margin-bottom: 55px;
    }
}

.card-title {
    font-size: 32px;
    font-weight: 500;
    line-height: 1.5;
    margin-bottom: 40px;
    @include poppins;

    @include media-laptop {
        font-size: 24px;
        margin-bottom: 30px;
    }
}

.card-text {
    font-size: 16px;
    font-weight: 300;
    line-height: 1.75;

    @include media-mobile {
        font-size: 14px;
        line-height: 22px;
    }
}

.section-banner {
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    position: relative;

    @include media-laptop {
        height: 100vh;
    }

    .subtitle {

        @include font-subtitle;
    }

    &__bg {
        top: 0;
        right: 0;
        position: absolute;
        max-width: 49%;
        max-height: 100vh;
        display: flex;
        align-items: flex-end;
        height: 100vh;

        @include media-laptop {
            align-items: flex-start;
            max-width: 100%;
        }

        video {
            max-width: 100%;
            height: 90vh;

            @include media-laptop {
                display: none;
            }
        }
    }

    &__bg-mobile {
        display: none;

        @include media-laptop {
            display: block;
            max-width: 62vh;
        }
    }

    &__description {
        height: 100vh;
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        justify-content: center;
        position: relative; 
        z-index: 2;

        @include media-laptop {
            height: 90vh;
            flex-direction: column;
            justify-content: flex-start;
        }

        @include media-mobile {
            height: 76vh;
        }

        @include media-mobile-horizontal {
            height: 90vh;
        }
    }

    &__button {
        position: absolute;
        bottom: 50px;

        @include media-laptop {
            margin-top: auto;
        }
    }

    .headline {

        @include media-laptop {
            margin-top: 50%;
        }

        @include media-mobile {
            margin-top: 60%;
        }

        &__inner {
            margin-bottom: 15px;

            .headline-items {
                display: flex;
            }
        }

        .headline-items {

            @include media-laptop {
                max-width: 100%;
            }

            @include media-tablet {
                max-width: 400px;
            }

            @include media-mobile {
                max-width: 260px;
            }
        }

        .headline-item {
            display: flex;
            align-items: flex-end;
            margin-right: 12px;

            @include media-mobile {
                margin-right: 3px;
            }
        }
    }
}

.section-about {
    padding: 100px 0;
    
    &__inner {
        position: relative;
    }

    @include media-laptop {
        padding: 150px 0 50px;
        margin-top: -150px;
    }

    @include media-mobile {
        padding: 145px 0 55px;
        margin-top: -145px;
    }

    &__description {
        position: relative;
        z-index: 2;
        max-width: 700px;
        width: 100%;
        padding-right: 9%;
        margin-left: auto;

        @include media-laptop {
            padding-right: 0;
            max-width: none;
        }

        p {
            @include font-text;
            margin-bottom: 30px;

            @include media-laptop {
                margin-bottom: 20px;
            }

            @include media-mobile {
                margin-bottom: 20px;
            }
        }

        .button-default {
            margin-top: 25px;

            @include media-mobile {
                margin-top: 20px;
            }
        }
    }

    &__bg {
        justify-content: space-between;
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: -1;

        .backlight-bg {
            max-width: 400px;
            width: 100%;
            max-height: 400px;
            top: 50%;
            transform: translateY(-50%);
            position: absolute;
            z-index: 1;
            animation: backlight 15s alternate infinite linear;
        }

        .sphere-bg {
            max-width: 32%;
            width: 100%;
            max-height: 645px;
            position: absolute;
            animation: sphere 15s alternate infinite linear;
        }
    }
}

.section-cards {
    padding: 200px 0 100px;

    @include media-laptop {
        padding: 100px 0 0;
        margin-top: -100px;
    }

    &__inner {
        @include media-laptop {
            padding-top: 50px;
            padding-bottom: 50px;
        }

        .title_basic {
            max-width: 750px;
        }

        .cards-services {
            display: flex;
            flex-wrap: wrap;
            gap: $gap-card;
        }

        .card-services {
            flex-basis: calc((100% / 2) - 10px);
            position: relative;

            @include media-tablet {
                min-height: 250px;
            }

            @include media-mobile {
                flex-basis: 100%;
            }

            &__inner {

                .card-services-wrapp {
                    background-color: $main-color-bg;
                    height: 100%;
                }

                .card-services-blur {
                    display: flex;
                    height: 100%;
                    padding: 40px 40px 45px;
                    background: rgba(255, 255, 255, 0.05);
                    // @include blur-card;

                    @include media-laptop {
                        padding: 40px 25px 25px;
                    }
                }
            }

            .card-icon {
                position: relative;

                @include media-tablet {
                    position: absolute;
                }
            }
        }

        .card-description {
                height: 100%;

            @include media-laptop {
                width: 100%;
            }
        }

        .card-services-0 {

            .card-icon {
    
                &::after {
                    opacity: 0;
                    @include card-icon-services;
                    background: no-repeat url('./images/circle-within-circle-hover.svg') center center /contain;
                }

                &::before {
                    @include card-icon-services;
                    background: no-repeat url('./images/circle-within-circle.svg') center center /contain;
                }
            }
        }

        .card-services-1 {

            .card-icon {
    
                &::after {
                    opacity: 0;
                    @include card-icon-services;
                    background: no-repeat url('./images/triangle-in-circle-hover.svg') center center /contain;
                }

                &::before {
                    @include card-icon-services;
                    background: no-repeat url('./images/triangle-in-circle.svg') center center /contain;
                }
            }
        }

        .card-services-2 {

            .card-icon {
    
                &::after {
                    opacity: 0;
                    @include card-icon-services;
                    background: no-repeat url('./images/circle-in-square-hover.svg') center center /contain;
                }

                &::before {
                    @include card-icon-services;
                    background: no-repeat url('./images/circle-in-square.svg') center center /contain;
                }
            }
        }

        .card-services-3 {

            .card-icon {
    
                &::after {
                    opacity: 0;
                    @include card-icon-services;
                    background: no-repeat url('./images/square-in-circle-hover.svg') center center /contain;
                }

                &::before {
                    @include card-icon-services;
                    background: no-repeat url('./images/square-in-circle.svg') center center /contain;
                }
            }
        }

        .card-title {
            color: $color-white;
            @include media-laptop {
                margin-bottom: 20px;
            }
        }

        .card-text {
            max-width: 95%;
        }
        
        .card-icon {
            width: 100%;
            max-width: 140px;
            max-height: 140px;

            @include media-laptop {
                max-width: 100px;
                position: relative;
            }

            @include media-tablet {
                position: absolute;
                top: 25px;
                right: 25px;
                max-width: 60px;
                max-height: 60px;
                min-height: 60px;
                margin-left: auto;
            }
        }
    }
}

.section-slider {
    padding: 150px 0;
    width: 100vw;

    @include media-laptop {
        padding: 55px 0;
    }

    &__inner {

        .slider-inner {
            overflow: visible;
        }

        .slider-items {
            height: auto;
        }

        .slider-item-name {
            display: inline-block;
            position: relative;
            color: transparent;
            -webkit-text-stroke: 1px $color-item;
            text-stroke: 1px $color-item;
            word-wrap: break-word;

            @include font-slider;
        }
    }
}

.section-offers {
    padding: 100px 0;

    @include media-laptop {
        padding: 100px 0 0;
        margin-top: -100px;
    }

    &__inner {
        @include media-laptop {
            padding-top: 55px;
            padding-bottom: 45px;
        }
    }

    &__cards {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        gap: $gap-card;
    }

    &__card {
        max-width: calc(33.3% - 20px);
        width: 100%;
        padding: 50px 40px 10px;
        position: relative;
        mix-blend-mode: normal;
        line-height: 1.75;
        @include blur-card;
        @include card-border;

       @include media-tablet {
        max-width: 100%;
    }

       @include media-laptop {
            padding: 40px 25px 30px;
        }

        @include media-mobile {
            width: 100%;
            margin-bottom: 20px;
        }

        &::before {
            content: '';
            background: url('./images/noise-card.png') center center;
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            opacity: 5%;
            mix-blend-mode: overlay;
        }

        .card-title {
            color: $color-white;
            @include poppins;
            margin-bottom: 50px;

            @include media-laptop {
                margin-bottom: 30px;
            }
        }

        p {
            margin-bottom: 25px;

            @include media-laptop {
                margin-bottom: 20px;
                font-size: 14px;
                line-height: 22px;
            }
        }
    }
}

.section-numbers {
    padding: 70px 0;

    @include media-tablet {
    padding: 50px 0;
    }

    .title_basic {
        margin-bottom: 20px;
    }

    &__description {
        margin-bottom: 68px;
        font-size: 20px;

        @include media-mobile {
            font-size: 16px;
            line-height: 24px;
        }
    }

    &__cards {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        gap: $gap-card;

        @include media-mobile {
            gap: 15px;
        }
    }

    &__card {
        max-width: calc(33% - 10px);
        width: 100%;
        min-height: 380px;
        padding: 30px;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        border: 1px solid $color-border-second;

        @include media-widt-small {
            max-width: calc(33% - 20px);
        }

        @include media-laptop {
            padding: 20px;
            min-height: 30vh;
        }

        @include media-tablet {
            max-width: 100%;
        }

        @include media-mobile {
            padding: 55px 20px;
            min-height: auto;
        }
    }

    &__number {
        
        @include card-number;
        margin-bottom: 40px;

        span {
            @include card-number;
        }

        &:hover::after{
            transition: 2.2s linear;
            background-position: 100% 0%;
        }
    }

    &__text {

        @include card-text-second;
    }
}

.section-team {
    padding: 100px 0;

    @include media-laptop {
        padding-top: 50px;
        margin-top: -50px;
        padding-bottom: 0;
    }

    &__inner {
        @include media-laptop {
            padding-top: 50px;
            padding-bottom: 50px;
        }
    }

    .title_basic {
        max-width: 500px;
        line-height: 1.3;
    }

    &__items {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        // gap: $gap-card;
        margin: 0 -10px;

        @include media-mobile {
            margin: 0 -10px;
        }
    }

    &__card-team-name {
        display: block;
        @include card-team-name;
        margin-bottom: 12px;
    }

    &__card-team-position {
        display: block;
        @include card-team-position;
    }

    .photo-cube-inner {
        overflow: hidden;

        .photo-cube-img-wrapp {
            display: flex;
            align-items: center;
            justify-content: center;
        }
    }
}

.section-contact {
    padding: 60px 0 95px;

    &__inner {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;
        position: relative;

        @include media-mobile {
            flex-direction: column-reverse;
        }
    }

    &__description {
        max-width: 49%;
        width: 100%;
        @include font-contact;

        @include media-widt-small {
            max-width: 100%;
        }

        @include media-laptop {
            max-width: 40%;
        }

        @include media-tablet {
            max-width: 54%;
        }

        @include media-mobile {
            max-width: 100%;
            margin-top: -90px;
            font-size: 22px;
        }

        .btn-outline-primary {
            white-space: nowrap;
            color: $color-main;
            display: inline-block;
            border-bottom: 1px solid $color-hover;
        }

        .magnetic-link, .container-link {
            display: block;
        }
    }

    &__phrase {

        @include media-mobile {
            font-size: 18px;
            line-height: 24px;
        }

        a {
            border: none;
            color: $color-main;
            display: inline-block;

            @include media-laptop {
                display: block;
                border: 1px solid $color-border-button;
                padding: 22px;
                font-size: 12px;
                line-height: 15px;
                text-align: center;
                letter-spacing: 0.05em;
                text-transform: uppercase;
                margin-top: 30px;
                color: $color-white;
                transition: color 0.5s easy;
                max-width: 400px;

                &:hover {
                    color: $color-main;
                    border-color: $color-main;
                }
            }

            @include media-tablet {
                max-width: none;
            }
        }
    }

    &__image-wrapp {
        max-width: 510px;
        max-height: 430px;

        @include media-widt-small {
            max-width: 100%;
        }

        @include media-laptop {
            margin-left: auto;
            transform: translate(30%, -50px);
        }

        @include media-mobile {
            max-width: 290px;
            margin-left: auto;
            transform: translate(30%, -50px);
        }
    }

    &__image {
        max-width: 510px;
        width: 100%;

        @include media-widt-small {
            max-width: 100%;
        }

        @include media-laptop {
            max-width: 60%;
        }

        @include media-tablet {
            max-width: 46%;
        }

        @include media-mobile {
            max-width: 290px;
            margin-left: auto;
        }
    }

    .title_basic {
        @include media-mobile {
            margin-bottom: 25px;
        }
    }
}

// style for Mozilla Firefox
.body-firefox {
    background-color: $main-color-bg-second;

    .section-banner .halo {
        background: linear-gradient(180deg, aqua 0%, #2366B5 30%); 
    }

    .section-about .circles-about .circle-about-big {
        background: -o-linear-gradient(240.88deg, #00FFFF 10.92%, #2366B5 28.03%);
        background: -moz-linear-gradient(240.88deg, #00FFFF 10.92%, #2366B5 28.03%);
        background: linear-gradient(209.12deg, #00FFFF 10.92%, #2366B5 28.03%);
    }
}

.back-to-top {
    display: none;
    @include montserrat;
    font-size: 10px;
    font-weight: 500;
    line-height: 12px;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    width: 50px;
    height: 50px;
    border: 1px solid $color-border-second;
    align-items: center;
    justify-content: center;
    margin-left: auto;
    margin-right: 15px;

    @include media-laptop {
        display: flex;
    }

    span {
        display: inline-block;
        margin-right: 5px;
    }
}

// style for page 404
.error404 {

    .body-wrapp, main {
        height: 100%;
    }
    .header {
        animation-delay: 0s;

        .header__navigation, .navigation-icon {
            display: none;
        }
    }

    .error-404 {
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
        .title-not-found {
            @include font-title-not-found;
            margin-bottom: 50px;
        }
    
        .link-to-home {
            @include font-link-to-home;
            transition: color 0.3s;

            &:hover {
                color: $color-main;
            }
        }
    }
}